Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_strterm_struct Struct Reference

## Data Fields
VALUE | flags
union {
rb_strterm_literal_t literal
rb_strterm_heredoc_t heredoc
} | u
union {
rb_strterm_literal_t literal
rb_strterm_heredoc_t heredoc
} | u

## Detailed Description

Definition at line 755 of file ripper.c.

## Field Documentation

## ◆ flags

VALUE rb_strterm_struct::flags

Definition at line 756 of file ripper.c.

## ◆ heredoc

rb_strterm_heredoc_t rb_strterm_struct::heredoc

Definition at line 759 of file ripper.c.

Referenced by rb_strterm_mark().

## ◆ literal

rb_strterm_literal_t rb_strterm_struct::literal

Definition at line 758 of file ripper.c.

## ◆ u [1/2]

union { ... } rb_strterm_struct::u

## ◆ u [2/2]

union { ... } rb_strterm_struct::u

Referenced by rb_strterm_mark().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c